Support

Search results for ""

Sorry, no results found. Perhaps you would like to search the documentation?
All Topics
Matt

Can't Update Plugin or Add-Ons

I consistently get the following error when I try to update (across most all of my sites).

Update Failed: The package could not be installed. PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature

Please advise.

3 years, 11 months ago
Stefan
Developer

Hi Matt,

We heard this issue before and there may be different causes for this issue.
Most of the times this seems to be a server setting for your website but we don’t know how to solved that.
Other reasons for this error might be that there is not enough space on your server, but I find it hard to believe if that would ever be the case.

I can give you a workaround on how you can install the plugins without any problem. Please download the plugins from our website and install them manually by using the upload plugin feature in WordPress or by FTP. Other than this I cannot give you a solution that will make it work for your website. Can you let me know if the workaround works for you?

3 years, 11 months ago
Brian

I’m trying this solution now and will report back the results:
https://w3guy.com/wordpress-fix-pclzip-err-bad-format-10/

A known solution to this problem is simply commenting out mbstring.func_overload php.ini directive (subject to your host granting you access to php.ini)

3 years, 8 months ago
Stefan
Developer

Hi Brian,

Thanks for looking into this. We also changed something on our server that should have fixed this problem for some customers. It turned out that update requests to our API from domains containing ‘bot’ were flagged as bots. The request was redirected to our homepage so the actual update file was an HTML file instead of a valid ZIP file. Our hosting company disabled this server feature and it fixed the problem for some of our customers. Does the domain you’re using contain something like ‘bot’? Maybe our hosting company enabled the bot protection service again by mistake.

If not, I’m very curious if the solution you mentioned worked for you.

3 years, 8 months ago
Brian

This appears to be happening on a few domains hosted on Amazon. I’m under the mercy of the company’s IT department to implement the change, so will hopefully know something soon.

3 years, 8 months ago
Brian

So, the client mentioned that the line in php.ini was already commented out. Last effort is going to be to completely remove the plugin from the site and re-install the latest version. Unfortunately won’t be able to test plugin updates until the next version is released. Any other suggestions before I try that?

3 years, 8 months ago
Stefan
Developer

Hi Brian,

I don’t know another way to test this, but removing the plugin and reinstall it was one of my suggestions.
We will release a new maintenance release today or begin next week.

3 years, 8 months ago

You must be logged in to reply to this topic.